package tools;

import javafx.util.Pair;

/** Test ports.
 * @author	Louis Royer
 * @author	Flavien Haas
 * @author	JS Auge
 * @version	1.0
 */
public class TestPort {

	/** test if port given correspond a range : registered ports, can be used without superuser privileges
	 * @return	Pair<Integer,String>
	 */
	public Pair<Integer,String> testPortServer(int port) {
		if((port >= 7000) && (port <= 7999)){
			return new Pair<>(0,"");
		}
		return new Pair<>(1, "Wrong port (7000 -> 7999), using default port 7070");
	}

	/** test if port given correspond a range :  : registered ports, can be used without superuser privileges, 6969 correspond to the unofficial bittorent tracker
	 * @return	Pair<Integer,String>
	 */
	public Pair<Integer,String> testPortTracker(int port) {
		if((port >= 6000) && (port <= 6999)){
			return new Pair<>(0,"");
		}
		return new Pair<>(1, "Wrong port (6000 -> 6999), using default port 6969");
	}



}
